---@type Flash.Config
local conf = {
  labels = "arstgmneioqwfpbjluyzxcdvkh",
  jump = {
    inclusive = nil,
    nohlsearch = false,
    offset = nil,
  },
  label = {
    uppercase = false,
  },
  highlight = {
    backdrop = false,
  },
  modes = {
    char = {
      jump_labels = true,
      highlight = { backdrop = false },
    },
  },
}

return {
  "folke/flash.nvim",
  event = "VeryLazy",
  vscode = true,
  ---@type Flash.Config
  opts = conf,
  -- stylua: ignore
  keys = {
    { "s", mode = { "n", "x", "o" }, function() require("flash").jump() end, desc = "Flash" },
    { "S", mode = { "n", "o", "x" }, function() require("flash").treesitter() end, desc = "Flash Treesitter" },
    { "r", mode = "o", function() require("flash").remote() end, desc = "Remote Flash" },
    { "R", mode = { "o", "x" }, function() require("flash").treesitter_search() end, desc = "Treesitter Search" },
    { "<c-s>", mode = { "c" }, function() require("flash").toggle() end, desc = "Toggle Flash Search" },
  },
}
